Loading...
Searching...
No Matches
RackBox Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for RackBox:

## Public Member Functions

| RackBox (PluginUI &plugin, PluginDict &plugin_dict, Gtk::Widget *bare=0)
RackContainer * | get_parent ()
bool | can_compress ()
const char * | get_id () const
void | set_config_mode (bool mode)
void | swtch (bool mini)
void | pack (Gtk::Widget *mainbox, Gtk::Widget *minibox)
void | animate_insert ()
void | set_position (int pos, int post_pre)
bool | compare_position (int pos, int post_pre)
void | display (bool v, bool animate)
bool | get_plug_visible ()

## Static Public Member Functions

static Gtk::Widget * | create_drag_widget (const PluginUI &plugin, gx_system::CmdlineOptions &options)
static Gtk::Widget * | create_icon_widget (const PluginUI &plugin, gx_system::CmdlineOptions &options)

## Private Member Functions

Gtk::Widget * | wrap_bar (int left=4, int right=4, bool sens=false)
void | init_dnd ()
void | enable_drag (bool v)
void | on_my_drag_begin (const Glib::RefPtr< Gdk::DragContext > &context)
bool | animate_create ()
bool | on_my_leave_out (GdkEventCrossing *focus)
bool | on_my_enter_in (GdkEventCrossing *focus)
void | on_my_drag_end (const Glib::RefPtr< Gdk::DragContext > &context)
bool | on_my_drag_failed (const Glib::RefPtr< Gdk::DragContext > &context, Gtk::DragResult result)
void | on_my_drag_data_get (const Glib::RefPtr< Gdk::DragContext > &context, Gtk::SelectionData &selection, int info, int timestamp)
void | vis_switch (Gtk::Widget &a, Gtk::Widget &b)
void | set_visibility (bool v)
Gtk::Button * | make_expand_button (bool expand)
Gtk::Button * | make_preset_button ()
Gtk::HBox * | make_full_box (gx_system::CmdlineOptions &options)
bool | has_delete () const
void | do_expand ()

## Static Private Member Functions

static void | set_paintbox (Gxw::PaintBox &pb, PluginType tp)
static void | set_paintbox_unit (Gxw::PaintBox &pb, const PluginUI &plugin)
static void | set_paintbox_unit_shrink (Gxw::PaintBox &pb, PluginType tp)
static Gtk::Widget * | make_label (const PluginUI &plugin, gx_system::CmdlineOptions &options, bool useshort=true)
static Gtk::Widget * | make_bar (int left=4, int right=4, bool sens=false)

## Private Attributes

PluginUI & | plugin
PluginDict & | plugin_dict
sigc::connection | anim_tag
bool | compress
bool | delete_button
Gxw::PaintBox | mbox
MiniRackBox * | minibox
Gtk::Widget * | fbox
std::string | target
int | anim_height
int | anim_step
DragIcon * | drag_icon
int | target_height
Gxw::PaintBox | box
Gxw::Switch | on_off_switch

## Friends

class | PluginUI
class | MiniRackBox

## Detailed Description

Definition at line 273 of file gx_main_window.h.

## Constructor & Destructor Documentation

## RackBox()

RackBox::RackBox | ( | PluginUI & | plugin,
|  | PluginDict & | plugin_dict,
|  | Gtk::Widget * | bare = 0 )

## Member Function Documentation

## animate_create()

bool RackBox::animate_create | ( |  | ) |

private

## animate_insert()

void RackBox::animate_insert | ( |  | ) |

## can_compress()

bool RackBox::can_compress | ( |  | ) |

inline

Definition at line 318 of file gx_main_window.h.

## compare_position()

bool RackBox::compare_position | ( | int | pos,
|  | int | post_pre )

## create_drag_widget()

Gtk::Widget * RackBox::create_drag_widget | ( | const PluginUI & | plugin,
|  | gx_system::CmdlineOptions & | options )

static

## create_icon_widget()

Gtk::Widget * RackBox::create_icon_widget | ( | const PluginUI & | plugin,
|  | gx_system::CmdlineOptions & | options )

static

## display()

void RackBox::display | ( | bool | v,
|  | bool | animate )

## do_expand()

void RackBox::do_expand | ( |  | ) |

private

## enable_drag()

void RackBox::enable_drag | ( | bool | v | ) |

private

## get_id()

const char * RackBox::get_id | ( |  | ) | const

inline

Definition at line 495 of file gx_main_window.h.

## get_parent()

RackContainer * RackBox::get_parent | ( |  | ) |

## get_plug_visible()

bool RackBox::get_plug_visible | ( |  | ) |

inline

Definition at line 496 of file gx_main_window.h.

## has_delete()

bool RackBox::has_delete | ( |  | ) | const

inline private

Definition at line 312 of file gx_main_window.h.

## init_dnd()

void RackBox::init_dnd | ( |  | ) |

private

## make_bar()

Gtk::Widget * RackBox::make_bar | ( | int | left = 4,
|  | int | right = 4,
|  | bool | sens = false )

static private

## make_expand_button()

Gtk::Button * RackBox::make_expand_button | ( | bool | expand | ) |

private

## make_full_box()

Gtk::HBox * RackBox::make_full_box | ( | gx_system::CmdlineOptions & | options | ) |

private

## make_label()

Gtk::Widget * RackBox::make_label | ( | const PluginUI & | plugin,
|  | gx_system::CmdlineOptions & | options,
|  | bool | useshort = true )

static private

## make_preset_button()

Gtk::Button * RackBox::make_preset_button | ( |  | ) |

private

## on_my_drag_begin()

void RackBox::on_my_drag_begin | ( | const Glib::RefPtr< Gdk::DragContext > & | context | ) |

private

## on_my_drag_data_get()

void RackBox::on_my_drag_data_get | ( | const Glib::RefPtr< Gdk::DragContext > & | context,
|  | Gtk::SelectionData & | selection,
|  | int | info,
|  | int | timestamp )

private

## on_my_drag_end()

void RackBox::on_my_drag_end | ( | const Glib::RefPtr< Gdk::DragContext > & | context | ) |

private

## on_my_drag_failed()

bool RackBox::on_my_drag_failed | ( | const Glib::RefPtr< Gdk::DragContext > & | context,
|  | Gtk::DragResult | result )

private

## on_my_enter_in()

bool RackBox::on_my_enter_in | ( | GdkEventCrossing * | focus | ) |

private

## on_my_leave_out()

bool RackBox::on_my_leave_out | ( | GdkEventCrossing * | focus | ) |

private

## pack()

void RackBox::pack | ( | Gtk::Widget * | mainbox,
|  | Gtk::Widget * | minibox )

## set_config_mode()

void RackBox::set_config_mode | ( | bool | mode | ) |

## set_paintbox()

void RackBox::set_paintbox | ( | Gxw::PaintBox & | pb,
|  | PluginType | tp )

static private

## set_paintbox_unit()

void RackBox::set_paintbox_unit | ( | Gxw::PaintBox & | pb,
|  | const PluginUI & | plugin )

static private

## set_paintbox_unit_shrink()

void RackBox::set_paintbox_unit_shrink | ( | Gxw::PaintBox & | pb,
|  | PluginType | tp )

static private

## set_position()

void RackBox::set_position | ( | int | pos,
|  | int | post_pre )

## set_visibility()

void RackBox::set_visibility | ( | bool | v | ) |

private

## swtch()

void RackBox::swtch | ( | bool | mini | ) |

## vis_switch()

void RackBox::vis_switch | ( | Gtk::Widget & | a,
|  | Gtk::Widget & | b )

private

## wrap_bar()

Gtk::Widget * RackBox::wrap_bar | ( | int | left = 4,
|  | int | right = 4,
|  | bool | sens = false )

private

## Friends And Related Symbol Documentation

## MiniRackBox

friend class MiniRackBox

friend

Definition at line 319 of file gx_main_window.h.

Referenced by MiniRackBox.

## PluginUI

friend class PluginUI

friend

Definition at line 274 of file gx_main_window.h.

Referenced by create_drag_widget(), create_icon_widget(), make_label(), PluginUI, RackBox(), and set_paintbox_unit().

## Member Data Documentation

## anim_height

int RackBox::anim_height

private

Definition at line 285 of file gx_main_window.h.

## anim_step

int RackBox::anim_step

private

Definition at line 286 of file gx_main_window.h.

## anim_tag

sigc::connection RackBox::anim_tag

private

Definition at line 278 of file gx_main_window.h.

## box

Gxw::PaintBox RackBox::box

private

Definition at line 289 of file gx_main_window.h.

## compress

bool RackBox::compress

private

Definition at line 279 of file gx_main_window.h.

Referenced by can_compress().

## delete_button

bool RackBox::delete_button

private

Definition at line 280 of file gx_main_window.h.

Referenced by has_delete().

## drag_icon

DragIcon* RackBox::drag_icon

private

Definition at line 287 of file gx_main_window.h.

## fbox

Gtk::Widget* RackBox::fbox

private

Definition at line 283 of file gx_main_window.h.

## mbox

Gxw::PaintBox RackBox::mbox

private

Definition at line 281 of file gx_main_window.h.

## minibox

MiniRackBox* RackBox::minibox

private

Definition at line 282 of file gx_main_window.h.

Referenced by pack().

## on_off_switch

Gxw::Switch RackBox::on_off_switch

private

Definition at line 290 of file gx_main_window.h.

## plugin

PluginUI& RackBox::plugin

private

Definition at line 276 of file gx_main_window.h.

Referenced by create_drag_widget(), create_icon_widget(), get_id(), get_plug_visible(), make_label(), RackBox(), and set_paintbox_unit().

## plugin_dict

PluginDict& RackBox::plugin_dict

private

Definition at line 277 of file gx_main_window.h.

Referenced by RackBox().

## target

std::string RackBox::target

private

Definition at line 284 of file gx_main_window.h.

## target_height

int RackBox::target_height

private

Definition at line 288 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h